MW-1.29.0-wmf.10 deployment blockers
Closed, ResolvedPublic

greg created this task.Jan 17 2017, 7:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2017, 7:37 PM
greg updated the task description. (Show Details)
greg triaged this task as Normal priority.
mmodell claimed this task.Jan 18 2017, 7:14 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-24T20:49:23Z] <twentyafterfour@tin> Started scap: test wikis to 1.29.0-wmf.9 refs T155525

Mentioned in SAL (#wikimedia-operations) [2017-01-24T21:22:01Z] <twentyafterfour@tin> Finished scap: test wikis to 1.29.0-wmf.9 refs T155525 (duration: 32m 37s)

Mentioned in SAL (#wikimedia-operations) [2017-01-24T21:34:44Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group0 wikis to 1.29.0-wmf.9 refs T155525

Doh, ref'd the wrong task!

TTO added a subscriber: TTO.Jan 30 2017, 2:35 PM

T145772, T138036, T138987 don't seem like actual deployment blockers. They're problematic and need to be fixed, but surely you're not actually going to wait for someone to (as an example) implement proper logging in EasyTimeline before deploying this branch?

Maybe there needs to be another, separate task to track high-priority logspam.

hashar added a subscriber: hashar.Jan 30 2017, 3:31 PM

I too dont quite understand why some old log spam tasks have been made blockers. Here is the summary of what I understand for a couple of them:


T138036: proc line: 2959: warning: points must have either 4 or 2 values per line

That ones comes from EasyTimeline which is definitely a technical debt without any maintainer and no documentation as to how to debug/retrieve the actual error output. I went with a lame patch in prod to maybe help get some clue as to what is going on https://gerrit.wikimedia.org/r/#/c/335035/2/Timeline.body.php

I would rather not make it a blocker until we get a proper maintainer (unlikely). Most probably we want to spawn an effort to get rid of EasyTimeline entirely and move everything to Graphs?!


T145772: Error: Couldn't find trailer dictionary

That one apparently comes from TexLive which itself has terrible logging and I am not sure which extension makes use of it. Maybe the Math extension or Mathoid. It is a dark area to me and apparently to most people.


In both case, what would help is to add a mechanism in MediaWiki that would be able to log/archive the full output of a wfShellExec() whenever the return code is != 0 AND had the full wiki context to it (url, user, page name, server etc).

Mentioned in SAL (#wikimedia-operations) [2017-01-31T21:11:45Z] <twentyafterfour> wmf-config/ExtensionMessages-1.29.0-wmf.10.php is missing refs T155525

mmodell closed this task as Resolved.Feb 6 2017, 5:44 PM